## org.apache.poi.ss.extractor
Interface ExcelExtractor

All Known Implementing Classes:
  ExcelExtractor, XSSFExcelExtractor

    public interface ExcelExtractor

Common interface for Excel text extractors, covering HSSF and XSSF

Method Summary
`java.lang.String` `getText()` Retreives the text contents of the file
`void` `setFormulasNotResults(boolean formulasNotResults)` Should we return the formula itself, and not the result it produces? Default is false
`void` `setIncludeCellComments(boolean includeCellComments)` Should cell comments be included? Default is false
`void` `setIncludeSheetNames(boolean includeSheetNames)` Should sheet names be included? Default is true

Method Detail

### setIncludeSheetNames

    void setIncludeSheetNames(boolean includeSheetNames)

  Should sheet names be included? Default is true

### setFormulasNotResults

    void setFormulasNotResults(boolean formulasNotResults)

  Should we return the formula itself, and not the result it produces? Default is false

### setIncludeCellComments

    void setIncludeCellComments(boolean includeCellComments)

  Should cell comments be included? Default is false

### getText

    java.lang.String getText()

  Retreives the text contents of the file

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.